Bug 617318 - Review Request: xpenguins - Cute little penguins everywhere
Review Request: xpenguins - Cute little penguins everywhere
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 14:58 EDT by Göran Uddeborg
Modified: 2010-07-28 14:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-24 10:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2010-07-22 14:58:51 EDT
Spec URL: ftp://ftp.uddeborg.se/pub/xpenguins/xpenguins.spec
SRPM URL: ftp://ftp.uddeborg.se/pub/xpenguins/xpenguins-2.2-1.src.rpm
Description:
XPenguins animates a friendly family of penguins in your root window. They drop in from the top of the screen, walk along the tops of your windows, up the side of your windows, levitate, skateboard, and do other similarly exciting things.

Rpmlint gives a few comments about not cleaning.  I will add this package only for future releases, and that cleaning is no longer necessary.  Similarly for a comment about the missing buildroot tag.  Finally it has a couple of comments about the spelling, but they are false positives.
Comment 1 manuel wolfshant 2010-07-23 10:14:01 EDT
ahh, the beauty of old games...

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: EL-6beta, koji scratch build
 [x] Rpmlint output:
source RPM:
xpenguins.src: I: enchant-dictionary-not-found sv
=> ignoreable
xpenguins.src: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
=> ignorable
xpenguins.src: W: no-cleaning-of-buildroot %install
xpenguins.src: W: no-cleaning-of-buildroot %clean
xpenguins.src: W: no-buildroot-tag
=> new packaging rules, old rpmlint
xpenguins.src: W: no-%clean-section
=>it would be useless as it would be empty
binary RPM:
xpenguins.x86_64: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
=> ignorable
xpenguins.x86_64: W: file-not-utf8 /usr/share/doc/xpenguins-2.2/README
=> please consider using iconv to convert the file
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 1c9e7a2a868122081581ba9d46a00f0ef2dbebf2  xpenguins-2.2.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: EL-6beta/ koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: EL-6beta/ koji scratch build
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

=== OPTIONAL ITEMS ===
 [-] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [-] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).


================
    APPROVED
================
Comment 2 Göran Uddeborg 2010-07-23 11:28:26 EDT
> xpenguins.x86_64: W: file-not-utf8 /usr/share/doc/xpenguins-2.2/README
> => please consider using iconv to convert the file

Hm, seems I missed that one.  Good point, I'll add code to convert it.
Comment 3 Göran Uddeborg 2010-07-23 11:39:22 EDT
New Package CVS Request
=======================
Package Name: xpenguins
Short Description: Cute little penguins that walk along the tops of your windows
Owners: goeran
Branches: 
InitialCC:
Comment 4 Kevin Fenzi 2010-07-23 17:45:35 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Göran Uddeborg 2010-07-24 10:21:03 EDT
Successfully built: http://koji.fedoraproject.org/koji/taskinfo?taskID=2348113

Thanks Manuel and Kevin for your help!

Note You need to log in before you can comment on or make changes to this bug.